package com.adealink.weparty.commonui.imageview

import android.content.Context
import android.util.AttributeSet
import com.adealink.weparty.R
import com.facebook.drawee.drawable.ScalingUtils

class AvatarView @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : GIFImageView(context, attrs, defStyleAttr) {
    init {
        setIsAsCircle(true)
        setBackgroundResource(R.drawable.common_avatar_bg)
        setDefaultImageResId(R.drawable.common_default_avatar_ic)
        hierarchy.actualImageScaleType = ScalingUtils.ScaleType.CENTER_CROP
    }
}